Page MenuHomePhabricator

[AMDGPU][MC] Enabled constant expressions as operands of s_getreg/s_setreg
ClosedPublic

Authored by dp on Apr 25 2019, 3:28 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

dp created this revision.Apr 25 2019, 3:28 AM
dp updated this revision to Diff 200752.May 22 2019, 8:14 AM
  1. Updated to account for GFX10 hw registers.
  2. Separated bits juggling from high-level code.
artem.tamazov accepted this revision.Jun 5 2019, 7:32 AM

Please make this small fix and go ahead.

lib/Target/AMDGPU/SIDefines.h
338 ↗(On Diff #200752)

This enum shall contain only "widths minus one".
If we need "exact" widths (at other levels of abstraction), then let's define dedicated enum for these:

enum Width : unsigned { // Some values from WidthMinusOne mapped into Width domain.
  WIDTH_DEFAULT_ = WIDTH_M1_DEFAULT_ + 1,
};
This revision is now accepted and ready to land.Jun 5 2019, 7:32 AM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptJun 13 2019, 5:44 AM